Authen::Passphrase::AcceptAll(3)

NAME
Authen::Passphrase::AcceptAll - accept any passphrase

SYNOPSIS
        use Authen::Passphrase::AcceptAll;

        $ppr = Authen::Passphrase::AcceptAll->new;

        $ppr = Authen::Passphrase::AcceptAll
                ->from_crypt("");

        $ppr = Authen::Passphrase::AcceptAll
                ->from_rfc2307("{CRYPT}");

        if($ppr->match($passphrase)) { ...

        $passphrase = $ppr->passphrase;

        $passwd = $ppr->as_crypt;
        $userPassword = $ppr->as_rfc2307;

DESCRIPTION
An object of this class is a passphrase recogniser that accepts any passphrase whatsoever. This is a subclass of Authen::Passphrase, and this document assumes that the reader is familiar with the documentation for that class.

This type of passphrase recogniser is obviously of no use at all in controlling access to any resource. Its use is to permit a resource to be public in a system that expects some type of passphrase access control.

CONSTRUCTORS

Authen::Passphrase::AcceptAll->new
    Returns an accept-all passphrase recogniser object. The same object is returned from each call.

Authen::Passphrase::AcceptAll->from_crypt("")
    Returns an accept-all passphrase recogniser object. The same object is returned from each call. The argument must be the empty string.

Authen::Passphrase::AcceptAll->from_rfc2307(USERPASSWORD)
    Generates a new accept-all passphrase recogniser object from an RFC 2307 string. The string must consist of "{CRYPT}" (case insensitive) followed by an acceptable crypt string.

METHODS

$ppr->match(PASSPHRASE)
$ppr->passphrase
$ppr->as_crypt
$ppr->as_rfc2307
    These methods are part of the standard Authen::Passphrase interface. The "match" method always returns true, and the "passphrase" method returns the empty string (the shortest of the infinite number of correct passphrases).

SEE ALSO
Authen::Passphrase

AUTHOR
Andrew Main (Zefram) <zefram@fysh.org>

COPYRIGHT
Copyright (C) 2006, 2007, 2009, 2010, 2012 Andrew Main (Zefram) <zefram@fysh.org>

LICENSE
This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.